
Redmine - Feature #11809

update progress depending on status (just default value)

2012-09-11 09:39 - Dietmar H

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

In our team, 98% of closed issues have progress set to 100%.

Currently, when closing a ticket, this means changing status and progress manually every time.

My proposal: Per default set progress to 100% when status is switched to closed. This should happen in frontend code, so that when

somebody wants to set progress to something else then 100% while closing the issue, that's still possible.

I've seen http://www.redmine.org/projects/redmine/wiki/RedmineSettings#Calculate-the-issue-done-ratio where this can be

configured, but that completely removes the option to set progress manually.

Related issues:

Related to Redmine - Feature #11999: Calculating issue done ratio based on "E... New

History

#1 - 2012-10-01 19:02 - LEXO IT Services Switzerland

Good Idea! We would appreciate that too!

We're having some more ideas about how status management should be improved: #11999

#2 - 2023-11-21 09:59 - T H

We were using this plugin to get the feature in Redmine, but it won't work with 5.x anymore ☹️

https://github.com/jkraemer/redmine_percent_done

#3 - 2023-11-21 21:41 - Ludovic Andrieux

If you download the master branch, there is a first implementation for the 5.x branch

The version presented will be 2.0.0

Here the commit : https://github.com/jkraemer/redmine_percent_done/commit/616395d876c2537d7d7ba3b15f0705969c93c0f4
